%define oname   wrongdoc

Name:       ruby-%{oname}
Version:    1.5.0
Release:    %mkrel 1
Summary:    RDoc done right (IMNSHO)
License:    GPLv3
Group:      Development/Ruby
URL:        http://bogomips.org/wrongdoc/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
wrongdoc mangles an existing RDoc directory and makes any changes we
feel like.  It mainly removes JavaScript from Darkfish and adds links to
a {cgit}[http://hjemli.net/git/cgit/] instance.  It is a bikeshed
project and *entirely* subject to the whims of its creator, so it is
likely the wrong solution for anybody else.

%files
%defattr(-, root, root, -)
%{_bindir}/wrongdoc
%{_mandir}/man1/%{oname}.1.*
%{_mandir}/man5/*%{oname}.5.*
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc ChangeLog COPYING NEWS README LATEST LICENSE
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

mkdir -p %{buildroot}%{_mandir}/man{1,5}
install -m0644 man/man1/wrongdoc.1 %{buildroot}/%{_mandir}/man1/
install -m0644 man/man5/dotwrongdoc.5 %{buildroot}/%{_mandir}/man5/

rm -f %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/{ChangeLog,NEWS,README,LATEST,LICENSE,wrongdoc_1,dotwrongdoc_5}

%clean
rm -rf %{buildroot}



%changelog
* Wed Apr 06 2011 shikamaru <shikamaru> 1.5.0-1.mga1
+ Revision: 81508
- imported package ruby-wrongdoc


* Thu Mar 31 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.5.0-1
- Initial package
